package com.supervision.controller;

import com.supervision.model.ConfigPhysicalTool;
import com.supervision.service.ConfigPhysicalToolService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("test")
@RequiredArgsConstructor
public class TestController {

    private final ConfigPhysicalToolService configPhysicalToolService;

    @GetMapping("testExpireTime")
    public String testExpireTime() {
        return "OK";
    }

    @GetMapping("testQueryJSON")
    public List<ConfigPhysicalTool> testQueryJSON(){
        return configPhysicalToolService.list();
    }
}
